import processing.serial.*;
import ddf.minim.*;

Serial serial;
Minim minim;
AudioSample coin;
AudioSample voice0;
AudioSample voice1;
AudioSample voice2;
AudioSample voice3;
AudioSample voice4;
AudioSample voice5;
AudioSample voice6;
AudioSample voice7;
AudioSample voice8;
AudioSample voice9;
AudioSample voice10;
PImage image1;
PImage image2;

int r, count, money, state;
String string1, string2;

void setup()
{
  size(1600, 900);
  frameRate(30);
  
  serial = new Serial(this, "COM1", 9600);
  
  minim = new Minim(this);
  coin = minim.loadSample("coin.wav");
  voice0 = minim.loadSample("voice0.mp3");
  voice1 = minim.loadSample("voice1.mp3");
  voice2 = minim.loadSample("voice2.mp3");
  voice3 = minim.loadSample("voice3.mp3");
  voice4 = minim.loadSample("voice4.mp3");
  voice5 = minim.loadSample("voice5.mp3");
  voice6 = minim.loadSample("voice6.mp3");
  voice7 = minim.loadSample("voice7.mp3");
  voice8 = minim.loadSample("voice8.mp3");
  voice9 = minim.loadSample("voice9.mp3");
  voice10 = minim.loadSample("voice10.mp3");
  
  image1 = loadImage("image1.jpg");
  image2 = loadImage("image2.jpg");
  
  count = 0;
  state = 0;
  
  string1 = " $";
}

void draw()
{
  if (state == 0)
  {
    background(255, 255, 255);
    image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
    fill(0, 0, 255);
    textSize(176);
    textAlign(CENTER);
    money = count * 100;
    string2 = money + string1;
    text(string2, width / 2 - 250, 300);
    voice0.trigger();
    state = 1;
  }
  else
  {
    if (serial.available() >= 1)
    {
      r = serial.read();
      
      coin.trigger();
      count++;
      
      if (count == 1)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice1.trigger();
      }
      else if (count == 2)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice2.trigger();
      }
      else if (count == 3)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice3.trigger();
      }
      else if (count == 4)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice4.trigger();
      }
      else if (count == 5)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice5.trigger();
      }
      else if (count == 6)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice6.trigger();
      }
      else if (count == 7)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice7.trigger();
      }
      else if (count == 8)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice8.trigger();
      }
      else if (count == 9)
      {
        background(255, 255, 255);
        image(image1, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice9.trigger();
      }
      else if (count == 10)
      {
        background(255, 255, 255);
        image(image2, 900, 100, image1.width * 1.5, image1.height * 1.5);
        fill(0, 0, 255);
        textSize(176);
        textAlign(CENTER);
        money = count * 100;
        string2 = money + string1;
        text(string2, width / 2 - 250, 300);
        voice10.trigger();
      }
    }
  }
}

void stop()
{
  coin.close();
  voice0.close();
  voice1.close();
  voice2.close();
  voice3.close();
  voice4.close();
  voice5.close();
  voice6.close();
  voice7.close();
  voice8.close();
  voice9.close();
  voice10.close();
  minim.stop();
  super.stop();
}
